%define anolis_release 1

Name:    pycairo
Version: 1.23.0
Release: %{anolis_release}%{?dist}
Summary: Python bindings for the cairo library

License: MPLv1.1 or LGPLv2
URL:     https://www.cairographics.org/pycairo
Source0: https://github.com/pygobject/pycairo/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(cairo)
BuildRequires: gcc
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-setuptools

%description
Python bindings for the cairo library.

%package -n python3-cairo
Summary: Python 3 bindings for the cairo library
%{?python_provide:%python_provide python3-cairo}

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary: Libraries and headers for py3cairo
Requires: python3-cairo%{?_isa} = %{version}-%{release}
Requires: python3-devel

%description -n python3-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with py3cairo.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-cairo
%license COPYING*
%doc README.rst
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo*.egg-info

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 1.23.0-1
- New version 1.23.0

* Thu Apr 21 2022 zhang xianting <zhangxianting@uniontech.com> - 1.21.0-1
- Initial build for Anolis V23
